* {
    margin: 0;
    padding: 0;
}

body {
    width: 90%;
    height: 1000px;
    margin: 0 auto;
    font-family: Arial, Helvetica, sans-serif;
}

/*----------------------------------------------------------------------*/
header {
    display: flex;
    justify-content: space-between;
    background-color: lightslategrey;
    height: 10%;
    padding: 1%;
}

.cabecera {
    display: flex;
    flex-direction: row;
    padding: 15px;
    flex: 1 1 100%;
}

.cabecera:nth-child(2) {
    justify-content: end;
    flex: 1 1 30%;
}

.cabecera img {
    max-height: 100%;
    max-width: 100%;
}

header h1 {
    background-repeat: no-repeat;
    color: white;
    line-height: 70px;
}

header a {
    text-decoration: none;
    color: white;
    background-color: orangered;
    line-height: 70px;
    text-align: center;
    flex: 1 1 100%;
}

/*----------------------------------------------------------------------*/
main {
    height: 50%;
    display: flex;
    justify-content: space-evenly;
}

article {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex: 1 1 70%;
    padding: 20px;
}

article div {
    flex: 1 1 50%;
}

article div:first-child p {
    border-bottom: 1px black solid;
    padding-bottom: 20px;
}

aside {
    flex: 1 1 30%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    background-color: darkorange;
}

aside div {
    flex: 1 1 40%;
    margin: 10px;
    background-color: rgb(184, 92, 17);
}

/*----------------------------------------------------------------------*/
footer {
    display: flex;
    justify-content: space-between;
    background-color: lightslategrey;
    height: 10%;
    padding: 10px;
    text-align: center;
}

.pie {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 25px;
}

.pie:nth-child(1) {
    margin-right: 40%;
    flex: 1 1 50%;
}

.pie:nth-child(2) {
    flex: 1 1 10%;
    justify-content: end;
}

.pie:nth-child(1) a {
    text-decoration: none;
    color: white;
    background-color: orangered;
    line-height: 55px;
    flex: 1 1 10%;
}

.pie:nth-child(2) a {
    text-decoration: none;
    color: white;
    background-color: darkorange;
    line-height: 55px;
    flex: 1 1 100%;
}

@media all and (max-width:800px) {
    body{
        overflow: scroll;
    }

    header {
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        padding: 0;
    }

    .cabecera {
        padding: 0;
    }

    .cabecera:nth-child(1) {
        margin: 0 auto;
        flex: 1 1 80%;
    }
    .cabecera:nth-child(2) {
        flex: 1 1 20%;
    }

    .cabecera a{
        line-height: 2;
    }

    main {
        display: flex;
        flex-direction: column;
    }

    aside {
        display: flex;
        flex-direction: row;
    }

    .pie:nth-child(1) {
        margin-right: 10%;
    }
}